Name:		pixelize
Summary:	A program to build larger pictures from hundreds of smaller images
Version:	1.0.0
Release:	%mkrel 18
Group:		Graphics/Editors and Converters
License:	GPLv2+
URL:		http://lashwhip.com/pixelize.html
Source0:	ftp://lashwhip.com/pub/%{name}-%{version}.tar.gz
Patch0:		pixelize-1.0.0-linking.patch
BuildRequires:	pkgconfig(gtk+-2.0)

%description
Pixelize is a program that will use many scaled down images to
try to duplicate, as closely as possible, another image. It
works by splitting up the image you want rendered (or duplicated)
into a grid of small rectangular areas. Each area is analyzed,
and replaced with an image chosen from a large database of images.
Pixelize tries to pick images that best match each area. It works
best when it can choose images from a very large database of images.
With about 1000 images, Pixelize can do a reasonable job.

%prep
%setup -q
%autopatch -p0

%build
%make_build DFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 pixelize %{buildroot}%{_bindir}
install -m 755 make_db	%{buildroot}%{_bindir}

#mdk menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Pixelize
Exec=%{name}
Icon=graphics_section
Terminal=false
Type=Application
Categories=Graphics;
MimeType=image/gif;image/jpeg;image/png;image/bmp;image/x-eps;image/x-ico;image/x-portable-bitmap;image/x-portable-pixmap;image/x-xbitmap;image/x-xpixmap;
EOF

%files
%doc README
%{_bindir}/make_db
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.0-18.mga8
+ Revision: 1515990
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-17.mga7
+ Revision: 1300292
- Mageia 7 Mass Rebuild

* Thu Aug 31 2017 daviddavid <daviddavid> 1.0.0-16.mga7
+ Revision: 1150253
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Wed Feb 03 2016 umeabot <umeabot> 1.0.0-15.mga6
+ Revision: 933828
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-14.mga5
+ Revision: 747143
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-13.mga5
+ Revision: 687607
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-12.mga4
+ Revision: 517463
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-11.mga3
+ Revision: 377766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Dec 28 2012 wally <wally> 1.0.0-10.mga3
+ Revision: 335906
- fix RPM group
- redo linking patch
- clean .spec a bit

* Sat Jun 18 2011 wally <wally> 1.0.0-9.mga2
+ Revision: 109413
- drop buildroot definition
- clean .spec
- imported package pixelize


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-9mdv2011.0
+ Revision: 614547
- the mass rebuild of 2010.1 packages

  + Jani Välimaa <wally@mandriva.org>
    - improve patch0

* Sun Mar 21 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-8mdv2010.1
+ Revision: 525993
- fix compiler flags and rediff patch

* Fri Mar 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.0.0-7mdv2010.1
+ Revision: 518302
- Add a desktop entry

* Tue Mar 09 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-6mdv2010.1
+ Revision: 517011
- bump release (previous release was lost in BS)
- add patch0 (fix overlinking)
- fix license
- fix build for x86_64
- fix description

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.0.0-4mdv2010.1
+ Revision: 515981
- add an exclusive arch to fix rebuild
- Add a BA
- Fix BR
- import pixelize


